Update provider credentials
Update credentials for a provider such as **slack** and **FCM**. **providerId** is required field. This API creates the **deviceTokens** or replaces the existing ones.
Update credentials for a provider such as slack and FCM. providerId is required field. This API creates the deviceTokens or replaces the existing ones.
Authorization
secretKey API key authentication. Allowed headers-- "Authorization: ApiKey <secret_key>".
In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/v1/subscribers/string/credentials" \ -H "Content-Type: application/json" \ -d '{ "providerId": "slack", "credentials": {} }'{ "data": { "_id": "string", "firstName": "string", "lastName": "string", "email": "string", "phone": "string", "avatar": "string", "locale": "string", "channels": [ { "providerId": "slack", "integrationIdentifier": "string", "credentials": { "webhookUrl": "https://example.com/webhook", "channel": "general", "deviceTokens": [ "token1", "token2", "token3" ], "alertUid": "12345-abcde", "title": "Critical Alert", "imageUrl": "https://example.com/image.png", "state": "resolved", "externalUrl": "https://example.com/details" }, "_integrationId": "string" } ], "topics": [ "string" ], "isOnline": true, "lastOnlineAt": "string", "__v": 0, "data": {}, "timezone": "string", "subscriberId": "string", "_organizationId": "string", "_environmentId": "string", "deleted": true, "createdAt": "string", "updatedAt": "string" }}Upsert provider credentials PATCH
Upsert credentials for a provider such as **slack** and **FCM**. **providerId** is required field. This API creates **deviceTokens** or appends to the existing ones.
Delete provider credentials DELETE
Delete subscriber credentials for a provider such as **slack** and **FCM** by **providerId**. This action is irreversible and will remove the credentials for the provider for particular **subscriberId**.